• Hi,

    I have a new pfSense 2.1.3 install which seems to be working fine; except I cannot get LightSquid to install.  Here is the error I am getting:

    Beginning package installation for Lightsquid .
    Downloading package configuration file… done.
    Saving updated package information... done.
    Downloading Lightsquid and its dependencies...
    Checking for package installation...
    Downloading https://files.pfsense.org/packages/amd64/8/All/lightsquid-1.8_2-amd64.pbi ...  (extracting)
    Loading package configuration... done.
    Configuring package components...
    Additional files... lightsquid.inc failed.
    Removing package...
    Starting package deletion for lightsquid-1.8_2-amd64...done.
    Removing Lightsquid components...
    Tabs items... done.
    Menu items... done.
    Loading package instructions...
    Include file lightsquid.inc could not be found for inclusion.
    Deinstall commands...
    Not executing custom deinstall hook because an include is missing.
    Removing package instructions...done.
    Auxiliary files... done.
    Package XML... done.
    Configuration... done.
    done.
    Failed to install package.

    Installation halted.

    I have searched the forum and found only one other person having a missing "lightsquid.inc" include file and that turned out to be a problem with the package itself (coming from the repo)... nothing the user could fix.

    Any advice on how to fix this would be appreciated.

    The other packages that are installed are:
    squid 2.7.9 pkg v 4.3.4
    squidguard 1.1.4 pkg v 1.9.6  (tried with this enabled and disabled)
    snort 2.9.6.0 pkg v 3.0.8  (tried with this enabled and disabled)
    pfBlocker 1.0.2


  • Never mind, I figured out the problem… it was Snort getting in the way.

    I had disabled Snort as part of my routine checks; but forgot to clear the blocks it had put into place. ::)

    Once the blocks were cleared and with Snort temporarily disabled Lightsquid installed just fine. :)